Package org.gradle.tooling.events.transform

# Interface TransformOperationDescriptor

All Superinterfaces:
  `OperationDescriptor`

public interface TransformOperationDescriptor extends OperationDescriptor
Describes a transform operation for which an event has occurred.

Since:
  5.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `TransformOperationDescriptor.SubjectDescriptor`
  Describes the subject (artifact or file) of a transform operation.
  `static interface`
  `TransformOperationDescriptor.TransformerDescriptor`
  Describes the transformer of a transform operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<? extends OperationDescriptor>`
  `getDependencies()`
  Returns the dependencies (other transforms and tasks) of this transform operation.
  `TransformOperationDescriptor.SubjectDescriptor`
  `getSubject()`
  Returns the subject of this transform operation.
  `TransformOperationDescriptor.TransformerDescriptor`
  `getTransformer()`
  Returns the display name of this transform operation.

  ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

  `getDisplayName, getName, getParent`

- ## Method Details

  - ### getTransformer

    TransformOperationDescriptor.TransformerDescriptor getTransformer()
    Returns the display name of this transform operation.

  - ### getSubject

    TransformOperationDescriptor.SubjectDescriptor getSubject()
    Returns the subject of this transform operation.

  - ### getDependencies

    Set<? extends OperationDescriptor> getDependencies()
    Returns the dependencies (other transforms and tasks) of this transform operation.